diff -urN auctex-11.83/debian/auctex/conffiles.in auctex-11.83-my/debian/auctex/conffiles.in
--- auctex-11.83/debian/auctex/conffiles.in	2007-07-08 13:05:46.000000000 +0400
+++ auctex-11.83-my/debian/auctex/conffiles.in	2007-07-08 15:47:11.000000000 +0400
@@ -3,6 +3,9 @@
 	s|emacs|emacs21|; $_=~tr|/|/|s; print:>
 <:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 	s|emacs|emacs-snapshot|; $_=~tr|/|/|s; print:>
+<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
+	s|emacs|emacs22|; $_=~tr|/|/|s; print:>
+
 <:=if($_="${cron_weekly}/${PACKAGE}")=~tr|/|/|s:>
 <:
 # arch-tag: 6a902afa-3563-4a43-8c5c-77de4bf3b393
diff -urN auctex-11.83/debian/auctex/install.in auctex-11.83-my/debian/auctex/install.in
--- auctex-11.83/debian/auctex/install.in	2007-07-08 13:05:46.000000000 +0400
+++ auctex-11.83-my/debian/auctex/install.in	2007-07-08 13:06:43.000000000 +0400
@@ -103,7 +103,7 @@
 
 case "${FLAVOR}" in
     (emacs) : ;;
-    (emacs21|emacs-snapshot)
+    (emacs21|emacs22|emacs-snapshot)
     <:# clean old cruft :>//
     do_clean_old_cruft ${FLAVOR}
     do_install ${FLAVOR}
diff -urN auctex-11.83/debian/auctex/remove.in auctex-11.83-my/debian/auctex/remove.in
--- auctex-11.83/debian/auctex/remove.in	2007-07-08 13:05:46.000000000 +0400
+++ auctex-11.83-my/debian/auctex/remove.in	2007-07-08 13:06:56.000000000 +0400
@@ -36,7 +36,7 @@
 
 case "${FLAVOR}" in
     (emacs) : ;;
-    (emacs21|emacs-snapshot)
+    (emacs21|emacs22|emacs-snapshot)
     <:# remove all parsed information files :>//
     undo_auto
     undo_install
diff -urN auctex-11.83/debian/control auctex-11.83-my/debian/control
--- auctex-11.83/debian/control	2007-07-08 13:05:46.000000000 +0400
+++ auctex-11.83-my/debian/control	2007-07-08 13:06:25.000000000 +0400
@@ -4,11 +4,11 @@
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.7.2
-Build-Depends-Indep: ed, emacs21 | emacs-snapshot, eperl, gs-gpl | gs, po-debconf, tetex-bin | texlive-base, texinfo, texi2html (>=1.76-1)
+Build-Depends-Indep: ed, emacs21 | emacs22 | emacs-snapshot, eperl, gs-gpl | gs, po-debconf, tetex-bin | texlive-base, texinfo, texi2html (>=1.76-1)
 
 Package: auctex
 Architecture: all
-Depends: debconf | debconf-2.0, debianutils (>= 1.7), emacs21 | emacs-snapshot, gs-gpl | gs, make, preview-latex-style
+Depends: debconf | debconf-2.0, debianutils (>= 1.7), emacs21 | emacs22 | emacs-snapshot, gs-gpl | gs, make, preview-latex-style
 Recommends: tetex-base | texlive-latex-recommended, doc-base, xpdf | pdf-viewer
 Suggests: catdvi, dvipng, lacheck
 Conflicts: emacspeak (<= 17.0-1), preview-latex
diff -urN auctex-11.83/debian/rules.in auctex-11.83-my/debian/rules.in
--- auctex-11.83/debian/rules.in	2007-07-08 13:05:46.000000000 +0400
+++ auctex-11.83-my/debian/rules.in	2007-07-08 15:55:31.000000000 +0400
@@ -85,7 +85,9 @@
 		--prefix=<:$_=${usr}; s|/+|/|g; print:> \
 		--infodir=<:=${info}:> \
 		--with-emacs=$$(test -x /usr/bin/emacs-snapshot \
-			&& echo emacs-snapshot || echo emacs21 )
+			&& echo emacs-snapshot || \
+			(test -x /usr/bin/emacs22 \
+			&& echo emacs22 || echo emacs21) )
 	cd doc && $(MAKE) all
 	cd doc && $(MAKE) auctex.htmls/auctex.html
 	cd doc && $(MAKE) preview-latex.htmls/preview-latex.html
@@ -172,13 +174,17 @@
 
 <:# install Debian system files :>//
 	$(INSTDIR) $(auctex)/<:$_=${sstartd}; s|emacs|emacs21|; print:> \
-		$(auctex)/<:$_=${sstartd}; s|emacs|emacs-snapshot|; print:>
+		$(auctex)/<:$_=${sstartd}; s|emacs|emacs-snapshot|; print:> \
+		$(auctex)/<:$_=${sstartd}; s|emacs|emacs22|; print:>
 	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
 		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 		s|emacs|emacs21|; $_=~tr|/|/|s; print:>
 	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
 		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 		s|emacs|emacs-snapshot|; $_=~tr|/|/|s; print:>
+	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
+		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
+		s|emacs|emacs22|; $_=~tr|/|/|s; print:>
 	$(INSTDIR) $(auctex)/<:=${cron_weekly}:>
 	$(INSTSCRIPT) debian/<:=${PACKAGE}:>/cron \
 		$(auctex)/<:=${cron_weekly}:>/<:=${PACKAGE}:>
